/*-----------------------------------------------------------------------
 * Copyright 1999 Michael Lincoln <mclinc@essex.ac.uk>
 * 
 * This software is provided free of charge.  Permission is hereby given
 * to use, copy, modify and distribute free of charge the software for
 * any purpose provided that this notice is included verbatim in every
 * copy.  The software is provided on an "as is" basis and the authors
 * and the University of Essex have no obligation to provide maintenance,
 * support, updates, enhancements, or modifications.
 * 
 * All express or implied warranties whether statutory or otherwise as to
 * the merchantability or fitness for a particular purpose of the
 * software are, to the maximum extent permitted by law, excluded.
 *
 * In no circumstances whatsoever shall the author or the University of
 * Essex be liable in contract, tort, or otherwise including liability
 * for negligence for any loss whether direct, indirect or otherwise of
 * business, revenue, profits, anticipated savings, wasted expenditure,
 * corruption or destruction of data or for any indirect or consequential
 * loss whatsoever.
 * 
 *
 *------------------------------------------------------------------------
 */




#include "captureClass.h"
#include "hvci.h"


// C++ wrapper for the grabbing functions

hvci::hvci(int type)
{
  video_initalize(type);
}


hvci::~hvci()
{
  video_tidyup();
}


void hvci::setScale(float scalefactor)
{
  video_set_scale(scalefactor);
}



void hvci::setSource(int newchan)
{ 
  video_set_source(newchan);
}


void hvci::setFormat(int newformat)
{
    video_set_format(newformat);
}


unsigned char *hvci::grab()
{
  return video_grab();
}

unsigned char *hvci::db_grab()
{
    return video_db_grab();
}



