/*-----------------------------------------------------------------------
 * Copyright 1999 Michael Lincoln <mclinc@essex.ac.uk>
 * 
 * This software is provided free of charge.  Permission is hereby given
 * to use, copy, modify and distribute free of charge the software for
 * any purpose provided that this notice is included verbatim in every
 * copy.  The software is provided on an "as is" basis and the authors
 * and the University of Essex have no obligation to provide maintenance,
 * support, updates, enhancements, or modifications.
 * 
 * All express or implied warranties whether statutory or otherwise as to
 * the merchantability or fitness for a particular purpose of the
 * software are, to the maximum extent permitted by law, excluded.
 *
 * In no circumstances whatsoever shall the author or the University of
 * Essex be liable in contract, tort, or otherwise including liability
 * for negligence for any loss whether direct, indirect or otherwise of
 * business, revenue, profits, anticipated savings, wasted expenditure,
 * corruption or destruction of data or for any indirect or consequential
 * loss whatsoever.
 * 
 *
 *------------------------------------------------------------------------
 */




/*
Function declearations for c functions defined in cgrab.c

*/

#define VIDEO_8_GRAY 1
#define VIDEO_16_RGB 3
#define VIDEO_24_RGB 4
#define VIDEO_32_RGB 5


/*
  video type ie: PAL, NTSC
*/

#define VIDEO_PAL  1
#define VIDEO_NTSC 2


void video_initalize(int NTSCorPAL);

void video_set_source(int source);

/*new set of size operators which are more portable*/
void video_set_scale(float denom);

int video_get_width();

int video_get_height();

/***************************************************/
void video_tidyup();

unsigned char *video_grab();




/*
Transparent double buffering support 

But I still think you should code the video stuff yourself if you need lots of FPS.

*/

unsigned char *video_db_grab();




/*
  Set the byte format for the image
*/

void video_set_format(unsigned int format);
